import IsolatedNote from './IsolatedNote'
import IsolatedNoteComponent from './IsolatedNoteComponent'
import IsolatedNoteHTMLConverter from './IsolatedNoteHTMLConverter'
import IsolatedNoteCommand from './IsolatedNoteCommand'
import IsolatedNoteTool from './IsolatedNoteTool'
// import {InsertInlineNodeCommand} from 'substance'

export default {
  name: 'isolated-note',
  configure: function (config) {
    config.addNode(IsolatedNote)
    config.addComponent(IsolatedNote.type, IsolatedNoteComponent)
    config.addConverter('html', IsolatedNoteHTMLConverter)
    config.addCommand('insert-isolated-note', IsolatedNoteCommand, {nodeType: IsolatedNote.type})
  },

  IsolatedNote: IsolatedNote,
  IsolatedNoteComponent: IsolatedNoteComponent,
  IsolatedNoteHTMLConverter: IsolatedNoteHTMLConverter,
  IsolatedNoteCommand: IsolatedNoteCommand,
  IsolatedNoteTool: IsolatedNoteTool
}
